pydo.droplets.list_associated_resources()

Generated on 3 Aug 2026 from pydo version v0.40.0

Usage

client.droplets.list_associated_resources(droplet_id=3164444)
Returns JSONRaises HttpResponseError

Description

To list the associated billable resources that can be destroyed along with a Droplet, send a GET request to the /v2/droplets/{droplet_id}/destroy_with_associated_resources endpoint.

This endpoint will only return resources that you are authorized to see. For example, to see associated Reserved IPs, include the reserved_ip:read scope.

The response will be a JSON object containing snapshots, volumes, and volume_snapshots keys. Each will be set to an array of objects containing information about the associated resources.

Parameters

droplet_id integer required

A unique identifier for a Droplet instance.

Min: 1

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

resp = client.droplets.list_associated_resources(droplet_id=594828)

Response Example

Show Response Example
{
  "reserved_ips": [
    {
      "id": "6186916",
      "name": "45.55.96.47",
      "cost": "4.00"
    }
  ],
  "floating_ips": [
    {
      "id": "6186916",
      "name": "45.55.96.47",
      "cost": "4.00"
    }
  ],
  "snapshots": [
    {
      "id": "61486916",
      "name": "ubuntu-s-1vcpu-1gb-nyc1-01-1585758823330",
      "cost": "0.05"
    }
  ],
  "volumes": [
    {
      "id": "ba49449a-7435-11ea-b89e-0a58ac14480f",
      "name": "volume-nyc1-01",
      "cost": "10.00"
    }
  ],
  "volume_snapshots": [
    {
      "id": "edb0478d-7436-11ea-86e6-0a58ac144b91",
      "name": "volume-nyc1-01-1585758983629",
      "cost": "0.04"
    }
  ]
}

More Information

See /v2/droplets/{droplet_id}/destroy_with_associated_resources in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.